Subject: bug#25615: make -k check (expected failure)

From: Frederic Peugny <[email-masked]>
Date: Fri, 3 Feb 2017 20:21:36 +0100

Hello,
I have installed libtool-2.4.6 from source (tar.gz)
I'm trying now to follow the steps of the howto "Using libtool" on the gnu
homepage. However I had to copy and paste the contents of the following
files from the libtool-2.4.6/tests/demo.at m4 script:
 + main.c
 + hello.c
 + foo.c
 + hell1.c
 + hell2.c
 + dlmain.c

because I cannot them directly nor a demo/ subdirectory.
The problem is that I can generate up to the libhello.la file but cannot go
further.
It must be related that all the tests steps of the 'make -k check' (see the
log in attachment) are declared as "(expected failure demo.at(xxx))".
Can see something I have missed in the installation?

-- 
Frédéric Peugny